Get list of terminals

This endpoint allows you to obtain a list of the Point terminals active in your account, with the information corresponding to their respective point of sale, store, and operating mode. The only terminals allowed for this request are NEWLAND_N950, INGENICO_MOVE2500, GERTEC_MP35P, PAX_A910 and PAX_Q92. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/terminals/v1/list
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Query
limit
integer
Pagination limit. This parameter specifies the maximum number of records you want to get in the response. It must be a numeric value, greater than or equal to 1 and less than or equal to 50. The default value is 50.
offset
integer
Pagination offset. This parameter determines the starting point from which the records should be obtained. It must be a numerical value greater than or equal to zero (0). Its default value is zero (0).
store_id
string
It's the store identifier, which corresponds to the "id" parameter obtained in the response to its creation. You should send it only if you want to filter the available terminals by store.
pos_id
integer
It's the device Point of Sale identifier, which corresponds to the "id" parameter obtained in the response to its creation. You should send it only if you want to filter the available terminals by point of sale.
Response parameters
data
object
This node contains a list of available Point terminals associated with your Mercado Pago account.
paging
object
Errors

401Error.

unauthorized

The value sent as Access Token is incorrect. Please check and try again with the correct value.

500Error.

internal_error

Internal error. Please check the returned message and try submitting your request again.

Request
curl -X GET \
    'https://api.mercadopago.com/terminals/v1/list?limit=50&store_id=1235456678&pos_id=1235456678'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********88776-122*********fc20dede6*********a497d7225*********64' \
    
Response
{
  "data": {
    "terminals": [
      {
        "id": "NEWLAND_N950__N950NCB801293324",
        "pos_id": 47792476,
        "store_id": "47792478",
        "external_pos_id": "SUC0101POS",
        "operating_mode": "PDV | STANDALONE | UNDEFINED"
      }
    ]
  },
  "paging": {
    "total": 1,
    "offset": 0,
    "limit": 50
  }
}